<div class="split-page">
  <div no-border class="bar-header">
    <button-back class="back-button"></button-back>
    <div class="center">
      <img src="/assets/images/padlock.svg" class="center">
      <div class="ion-text-center headings hpwd main-page-title">
        {{this.mainheading}}
      </div>
    </div>
  </div>
  <ion-content class="page-content">
    <div class="page-content actual-content" style="padding-top: 16px">
      <ion-grid class="gmargin">
        <ion-row>
          <ion-col>
            <div class="ion-text-center headings cotp">
              An OTP has been sent to your Email {{maskedPhone}}
            </div>
          </ion-col>
        </ion-row>
        <div style="text-align: center;margin-top: 3%;">
          <form [formGroup]="ProfileForm">
            <div class="forms">
              <div style="margin-bottom: 3%;margin-top: 3%;">
                <ion-input type="number" placeholder="OTP" class="inputstyle " formControlName="otp"></ion-input>
              </div>
            </div>

          </form>
        </div>
        <ion-row>
          <ion-col>
            <div id='parent_div_1'>
              <div>Not received OTP yet? Resend in {{timer}}.
                <p *ngIf="showResend" class="resend" (click)="resendOTP()">Resend?</p>
              </div>
            </div>
          </ion-col>

        </ion-row>
        <ion-row>
          <ion-col>
            <div class="ion-text-center pdiv">
              <!-- <button mat-flat-button size="large" slot="end" style="width: 50%;" class="paz" (click)="submitOtp()"
          [disabled]="ProfileForm.invalid || ProfileForm.controls.otp.value!=ProfileForm.controls.otp.value"
          type="submit">SUBMIT</button> -->

              <button type="button" (click)="submitOtp()" class="ion-btn">Submit</button>

            </div>
          </ion-col>
        </ion-row>
      </ion-grid>

    </div>

  </ion-content>
</div>